Software
Version
4.0.2
Release Date

If you need any help setting up yabridge or if you just want to keep up to date with new releases and important Wine related announcements, then feel free to join the Discord.

Fixed

  • Fixed a rare edge case where a Windows VST3 plugin would incorrectly be classified as a bundle-style plugin, which caused loading those plugins to fail. This could happen if the directory foo contained some random directory, containing another directory, containing foo.vst3. Yabridge always assumed this to be a bundle, even if it was not.
  • Fixed Full Bucket's Ragnarök causing some hosts to freeze when changing presets due to some mutually recursive function calls that weren't being handled as such.

yabridgectl

  • Parsing errors for plugin binaries are now non-fatal. This could happen if your Windows plugin directories contain text files with a .dll or .vst3 file extension. This would normally never happen, but it can still happen if you extracted those Windows plugins from a .zip file that was created on macOS. Don't ask me how or why.
  • Prematurely abort the yabridgectl sync process if ~/.vst/yabridge or ~/.vst3/yabridge are symlinks to a directory that's part of or contains one of yabridgectl's plugin search directories. This prevents an edge cases where VST2 plugin .dll files could be replaced by symlinks to themeselves.
  • Don't trigger a panic on yabridgectl sync if someone yabridgectl add'ed the inner contents of a Windows VST3 bundle. For the record, you really, really, really shouldn't be doing this.

Compatibility

The archive ending in -ubuntu-18.04.tar.gz is a compatibility release meant for older distros and is thus slightly larger in size. If you're using Ubuntu 18.04, Linux Mint 19, Debian 10, AV Linux MXE 2021, or any other distro that's older than Ubuntu 20.04, then you should use this archive instead of the regular release. If you need a build of yabridge for use with 32-bit plugin hosts, then you can find those on the automated builds page.

Updating

To update from an older installation, simply overwrite your current yabridge and yabridgectl files with the ones downloaded below, and then rerun yabridgectl sync to complete the update.